<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/PenDetailFragment"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_style">

    <SeekBar
        android:id="@+id/seekBarThickness"
        android:layout_width="153dp"
        android:layout_height="43dp"
        android:layout_marginTop="28dp"
        android:max="50"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.321"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/seekBarBlue" />

    <TextView
        android:id="@+id/thicknessText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="64dp"
        android:text="太さ"
        app:layout_constraintEnd_toStartOf="@+id/seekBarThickness"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txtBule" />

    <EditText
        android:id="@+id/edtRed"
        android:layout_width="37dp"
        android:layout_height="39dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="76dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toEndOf="@+id/seekBarRed"
        app:layout_constraintTop_toBottomOf="@+id/edtAlpha" />

    <EditText
        android:id="@+id/edtGreen"
        android:layout_width="37dp"
        android:layout_height="39dp"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="76dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.483"
        app:layout_constraintStart_toEndOf="@+id/seekBarGreen"
        app:layout_constraintTop_toBottomOf="@+id/edtRed" />

    <EditText
        android:id="@+id/edtBlue"
        android:layout_width="37dp"
        android:layout_height="39dp"
        android:layout_marginTop="48dp"
        android:layout_marginEnd="76dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.483"
        app:layout_constraintStart_toEndOf="@+id/seekBarBlue"
        app:layout_constraintTop_toBottomOf="@+id/edtGreen" />

    <EditText
        android:id="@+id/edtThickness"
        android:layout_width="37dp"
        android:layout_height="39dp"
        android:layout_marginTop="36dp"
        android:layout_marginEnd="76dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.483"
        app:layout_constraintStart_toEndOf="@+id/seekBarThickness"
        app:layout_constraintTop_toBottomOf="@+id/edtBlue"
        app:layout_constraintVertical_bias="0.0" />

    <SeekBar
        android:id="@+id/seekBarAlpha"
        android:layout_width="153dp"
        android:layout_height="43dp"
        android:layout_marginTop="32dp"
        android:max="255"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.321"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <SeekBar
        android:id="@+id/seekBarRed"
        android:layout_width="153dp"
        android:layout_height="43dp"
        android:layout_marginTop="24dp"
        android:max="255"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.321"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/seekBarAlpha" />

    <SeekBar
        android:id="@+id/seekBarBlue"
        android:layout_width="153dp"
        android:layout_height="43dp"
        android:layout_marginTop="40dp"
        android:max="255"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.321"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/seekBarGreen" />

    <SeekBar
        android:id="@+id/seekBarGreen"
        android:layout_width="153dp"
        android:layout_height="43dp"
        android:layout_marginTop="28dp"
        android:max="255"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.321"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/seekBarRed" />

    <ImageButton
        android:id="@+id/PenDetailCancel"
        android:layout_width="46dp"
        android:layout_height="34dp"
        android:layout_marginEnd="16dp"
        android:background="@android:color/transparent"
        android:scaleType="fitEnd"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/ic_baseline_cancel_24"
        tools:ignore="SpeakableTextPresentCheck" />

    <TextView
        android:id="@+id/txtAlpha"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="44dp"
        android:text="透明度"
        app:layout_constraintEnd_toStartOf="@+id/seekBarAlpha"
        app:layout_constraintHorizontal_bias="0.39"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/txtBule"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="64dp"
        android:background="@android:color/holo_blue_light"
        android:text="B"
        app:layout_constraintEnd_toStartOf="@+id/seekBarBlue"
        app:layout_constraintHorizontal_bias="0.391"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txtGreen" />

    <TextView
        android:id="@+id/txtGreen"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="52dp"
        android:background="@android:color/holo_green_light"
        android:text="G"
        app:layout_constraintEnd_toStartOf="@+id/seekBarGreen"
        app:layout_constraintHorizontal_bias="0.383"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txtRed" />

    <TextView
        android:id="@+id/txtRed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginTop="44dp"
        android:background="@android:color/holo_red_dark"
        android:text="R"
        app:layout_constraintEnd_toStartOf="@+id/seekBarRed"
        app:layout_constraintHorizontal_bias="0.16"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txtAlpha" />

    <EditText
        android:id="@+id/edtAlpha"
        android:layout_width="37dp"
        android:layout_height="39dp"
        android:layout_marginStart="4dp"
        android:layout_marginTop="36dp"
        android:ems="10"
        android:inputType="number"
        android:singleLine="true"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.194"
        app:layout_constraintStart_toEndOf="@+id/seekBarAlpha"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/txtColor"
        android:layout_width="43dp"
        android:layout_height="242dp"
        android:background="@drawable/shape_style"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.956"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/PenDetailCancel"
        app:layout_constraintVertical_bias="0.024" />

    <org.ntlab.acanthus_client.views.paint.StrokeCanvasView
        android:id="@+id/strokeCanvasView"
        android:layout_width="69dp"
        android:layout_height="26dp"
        android:background="@drawable/shape_style"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.979"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/txtColor"
        app:layout_constraintVertical_bias="0.155"></org.ntlab.acanthus_client.views.paint.StrokeCanvasView>

</androidx.constraintlayout.widget.ConstraintLayout>